Gecode::ArrayTraits< FloatVarArray > Class Reference

Traits of FloatVarArray. More...

`#include <array-traits.hpp>`

## Public Types

typedef FloatVarArray | StorageType
typedef FloatVar | ValueType
typedef FloatVarArgs | ArgsType

## Detailed Description

Traits of FloatVarArray.

Definition at line 71 of file array-traits.hpp.

## Member Typedef Documentation

## StorageType

typedef FloatVarArray Gecode::ArrayTraits< FloatVarArray >::StorageType

Definition at line 73 of file array-traits.hpp.

## ValueType

typedef FloatVar Gecode::ArrayTraits< FloatVarArray >::ValueType

Definition at line 74 of file array-traits.hpp.

## ArgsType

typedef FloatVarArgs Gecode::ArrayTraits< FloatVarArray >::ArgsType

Definition at line 75 of file array-traits.hpp.

The documentation for this class was generated from the following file:

- gecode/float/array-traits.hpp